#!/usr/bin/env python
    
# example base.py
import pygtk
pygtk.require('2.0')

import gtk
import icons
import picoData
import picoLowLevel
import numarray as PicoLib  
import sys	
import pico_control
import numpy
"""!!!This Code and its comments have been optimized for viewing at size 14 courier font!!!"""


	
class home(picoLowLevel.PicoControl):
	
	# End program on close
	def delete_event(self, widget,event, data=None):					#Starts the definition for function that closes program	
		print "delete event occurred"							#Prints out a notification to command window
		self.window.destroy()								#Closes the open window of the main program
		return False									#Returning false does something, pygtk told me to do it

	def destroy(self, widget, data=None):							#Starts another function for closing the program
		print "destroy signal occurred"							#Again prints out a notification to command window
		gtk.main_quit									#Quits the underlieing gtk program
		self.window.destroy()								#Closes the open window of the main program
		sys.exit()									#End-all quit line, shuts down all running code of program
		return False									#Again, not sure, just doing what I was told
	
	def __init__(self):									#Here begins the main code for the GUI window


		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)					#Creates new window for GUI and places it on top of the screen
		self.window.set_title("CHAMP Picomotor Control")				#Sets Window Title
		self.window.connect("delete_event", self.delete_event)				#Connects the x in corner of window to program ending function
		self.window.connect("destroy", self.destroy)					#Connects the x in corner of window to program ending function
		self.window.set_border_width(10)						#Sets the border width of the window		

		self.ycol = 'black'								#Color flags denote current color of arrow keys on control panel
		self.xcol = 'black'
		self.firsttime = True
		self.count = 1									#Count variable used later.						
		num = picoData.picoId.shape							#Variable is the number of picomotors stored in picoID within the picoData file
		names = picoData.picoId.field('picoId')
		print names[0]



		self.ypos=0
		self.xpos=0

        	#create a notebook to sit in the main window
        	self.notebook = gtk.Notebook()							#Creates a notebook widget which houses the tabs
       

        	PT_table = gtk.Table(8,8,False)							#Creates the table for the Power Tower control 8 rows, 8 cols, not homogeneous
        	PT_table.show()									#Makes the PT control table visible
        	PT_label = gtk.Label('Power Tower Picos')					#Sets the Label for the PT tab
        	self.notebook.append_page(PT_table,PT_label)					#Adds the PT table and label to the tab on the main window


        	injector_table = gtk.Table(8,8,False)						#Creates the table for the I control 8 rows, 8 cols, not homogeneous
        	injector_table.show()								#Makes the IC control table visible
        	injector_label = gtk.Label('Injector Control')					#Sets the Label for the IC tab
        	self.notebook.append_page(injector_table,injector_label)			#Adds the IC table and label to the tab on the main window


        	#set tabs along the top
		self.notebook.set_tab_pos(gtk.POS_TOP)						#Links the tabs to the top of the notebook
        		

        	#attach the notebook to the window
        	self.window.add(self.notebook)							#Adds the notebook to the window
	

        	#show the notebook
        	self.notebook.show()								#Sets the notebook to visible
		self.window.show()								#Sets the window to visible





		frame12 = pico_control.control(self)
		PT_table.attach(self.frame12, 3,4,1,2, gtk.FILL,gtk.EXPAND,2,2) 		#Attaches entry and frame to the control panel








































	def main(self):
		gtk.main()		

if __name__ == "__main__":
	home=home()	
	home.main()



